Skip to main content
GET
Get an incentive

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique incentive identifier (prefix: linc_).

Pattern: ^linc_[a-f0-9]+$
Example:

"linc_abc123def456"

Response

The incentive.

Incentive response object.

id
string
required

Unique incentive identifier.

Pattern: ^linc_[a-f0-9]+$
Example:

"linc_abc123def456"

name
string
required

Human-readable name.

Maximum string length: 200
type
enum<string>
required

Type of incentive. Determines which detail object is present in the response and required in create/update requests.

Available options:
POINTS,
POINTS_PROPORTIONAL,
MATERIAL,
DIGITAL
status
enum<string>
required

Current lifecycle status of the incentive.

Available options:
DRAFT,
ACTIVE,
DELETED
stock
integer
required

Remaining stock count.

Required range: 0 <= x <= 2147483647
created_at
string<date-time>
required

ISO 8601 creation timestamp.

object
string
required

Object type discriminator.

Allowed value: "incentive"
points
object

Fixed-points incentive configuration.

points_proportional
object

Proportional-points incentive configuration. The calculation_type determines which sub-object is required: - PRE_DISCOUNT_ORDER_AMOUNT -> order.amount - POST_DISCOUNT_ORDER_AMOUNT -> order.total_amount - ORDER_METADATA_VALUE -> order.metadata - CUSTOMER_METADATA_VALUE -> customer.metadata - PRE_DISCOUNT_ORDER_ITEMS_AMOUNT -> order_items.amount - POST_DISCOUNT_ORDER_ITEMS_AMOUNT -> order_items.subtotal_amount - ORDER_ITEMS_QUANTITY -> order_items.quantity

material
object

Material incentive configuration. Exactly one of product or sku must be provided based on type.

digital
object

Digital incentive configuration. Exactly one of discount_coupons or gift_vouchers must be provided based on type.

updated_at
string<date-time> | null

ISO 8601 last-update timestamp, or null if never updated.

Last modified on May 19, 2026